Bug 1128723 - Emacs should provide emacs service file
Summary: Emacs should provide emacs service file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:23 UTC by Petr Hracek
Modified: 2014-08-21 09:44 UTC (History)
4 users (show)

Fixed In Version: emacs-24.3-24.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 09:44:33 UTC


Attachments (Terms of Use)

Description Petr Hracek 2014-08-11 12:23:29 UTC
Description of problem:

emacs can be executed as a daemon and therefore emacs.service file for systemd would be good.

Arch Linux already use the one.
https://wiki.archlinux.org/index.php/emacs#As_a_systemd_unit

Comment 1 Petr Hracek 2014-08-13 08:41:02 UTC
scm-commit for rawhide (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20140811/1334158.html)

scm-commit for F21 (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20140811/1334161.html)

scm-commit for F20 (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20140811/1334163.html)

The steps how to start emacs daemon over systemd are:
systemctl --user enable emacs
systemctl --user start emacs

Comment 2 Fedora Update System 2014-08-13 10:09:13 UTC
emacs-24.3-23.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/emacs-24.3-23.fc20

Comment 3 Fedora Update System 2014-08-16 00:35:11 UTC
Package emacs-24.3-23.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.3-23.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9490/emacs-24.3-23.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-18 10:55:06 UTC
emacs-24.3-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/emacs-24.3-24.fc20

Comment 5 Fedora Update System 2014-08-21 09:44:33 UTC
emacs-24.3-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.